gr::satellites::pdu_scrambler_impl Class Reference

`#include <pdu_scrambler_impl.h>`

Inheritance diagram for gr::satellites::pdu_scrambler_impl:
[legend]

## Public Member Functions

| pdu_scrambler_impl (const std::vector< uint8_t > &sequence)
| ~pdu_scrambler_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | msg_handler (pmt::pmt_t pmt_msg)

## Additional Inherited Members

Public Types inherited from gr::satellites::pdu_scrambler
typedef boost::shared_ptr< pdu_scrambler > | sptr
Static Public Member Functions inherited from gr::satellites::pdu_scrambler
static sptr | make (const std::vector< uint8_t > &sequence)
| Build the PDU Scrambler block.

## Constructor & Destructor Documentation

## pdu_scrambler_impl()

gr::satellites::pdu_scrambler_impl::pdu_scrambler_impl | ( | const std::vector< uint8_t > & | sequence | ) |

## ~pdu_scrambler_impl()

gr::satellites::pdu_scrambler_impl::~pdu_scrambler_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::satellites::pdu_scrambler_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::satellites::pdu_scrambler_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## msg_handler()

void gr::satellites::pdu_scrambler_impl::msg_handler | ( | pmt::pmt_t | pmt_msg | ) |

The documentation for this class was generated from the following file:

- pdu_scrambler_impl.h